Required stencil-cli version is now 1.20.2

by BigCommerce
As mentioned in a previous update, the required stencil-CLI version for local development is now 1.20.2. To update to the latest version of stencil-cli, simply run npm install -g @bigcommerce/stencil-cli. We recommend using the latest...
Announcement
Stencil
Warning

Stencil CLI minimum required version is changing on September 30th

by BigCommerce
On September 30th, 2019, the minimum required version of Stencil CLI will be raised to 1.20.2 from 1.8.0. After September 30th, you will not be able to run stencil start without being on at least the minimum supported version. This...
Announcement
Stencil
Warning

API Updates June 12, 2019

by BigCommerce
Developer Blog Improve Web Font Performance in Stencil Themes with Font-display Let’s Talk About CORS Maintenance As of June 12th 2019: Remove the documentation related to the storecredit include on the beta V3 Customers API. This part...
API
Bug Fix
Developer Blog
Warning

Removing support for Node 6 in stencil-cli

by BigCommerce
Due to Node 6's End of Life, we've removed support for it in stencil-cli from version 1.16.0 and we'll be working on phasing it out of other Stencil-related projects. As of this writing, the only supported version of Node for use with...
Announcement
Warning
Stencil

Optimized One Page Checkout Moving to React

by BigCommerce
In March 2019, BigCommerce will be making changes to Optimized One Page Checkout. To improve rendering and loading performance, we will be updating the underlying JavaScript framework from Angular to React. This update will lay the...
Warning